io.agora.rtc

## Enum Constants.VideoFrameType

- java.lang.Object
- - java.lang.Enum<Constants.VideoFrameType>
  - - io.agora.rtc.Constants.VideoFrameType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.VideoFrameType>
  Enclosing class:
    Constants

      public static enum Constants.VideoFrameType
      extends java.lang.Enum<Constants.VideoFrameType>

  Types of the video frame.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VIDEO_FRAME_TYPE_B_FRAME` 5: B frame.
    `VIDEO_FRAME_TYPE_BLANK_FRAME` 0: Blank frame.
    `VIDEO_FRAME_TYPE_DELTA_FRAME` 4: Delta frame.
    `VIDEO_FRAME_TYPE_DROPPABLE_FRAME` 6: Droppable frame.
    `VIDEO_FRAME_TYPE_KEY_FRAME` 3: Key frame.
    `VIDEO_FRAME_TYPE_UNKNOW` 7: Unknown frame type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the video frame type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.VideoFrameType` | `fromInt(int value)` Converts an integer value to its corresponding VideoFrameType enum constant.
    `int` | `getValue()` Gets the integer value of the video frame type.
    `static Constants.VideoFrameType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.VideoFrameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIDEO_FRAME_TYPE_BLANK_FRAME

          public static final Constants.VideoFrameType VIDEO_FRAME_TYPE_BLANK_FRAME

      0: Blank frame.

    - #### VIDEO_FRAME_TYPE_KEY_FRAME

          public static final Constants.VideoFrameType VIDEO_FRAME_TYPE_KEY_FRAME

      3: Key frame.

    - #### VIDEO_FRAME_TYPE_DELTA_FRAME

          public static final Constants.VideoFrameType VIDEO_FRAME_TYPE_DELTA_FRAME

      4: Delta frame.

    - #### VIDEO_FRAME_TYPE_B_FRAME

          public static final Constants.VideoFrameType VIDEO_FRAME_TYPE_B_FRAME

      5: B frame.

    - #### VIDEO_FRAME_TYPE_DROPPABLE_FRAME

          public static final Constants.VideoFrameType VIDEO_FRAME_TYPE_DROPPABLE_FRAME

      6: Droppable frame.

    - #### VIDEO_FRAME_TYPE_UNKNOW

          public static final Constants.VideoFrameType VIDEO_FRAME_TYPE_UNKNOW

      7: Unknown frame type.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the video frame type

  - ### Method Detail

    - #### values

          public static Constants.VideoFrameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.VideoFrameType c : Constants.VideoFrameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.VideoFrameType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the video frame type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.VideoFrameType fromInt(int value)

      Converts an integer value to its corresponding VideoFrameType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding VideoFrameType, or null if the value is not found.